Index: testsuites/sptests/sp02/init.c
===================================================================
--- testsuites/sptests/sp02/init.c	(revision 17f744b8c81be98f68d53a82583c9a0b1c690579)
+++ testsuites/sptests/sp02/init.c	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -1,38 +1,31 @@
-/* SPDX-License-Identifier: BSD-2-Clause */
-
-/*
- *  COPYRIGHT (c) 1989-2011.
+/*  Init
+ *
+ *  This routine is the initialization task for this test program.
+ *  It is a user initialization task and has the responsibility for creating
+ *  and starting the tasks that make up the test.  If the time of day
+ *  clock is required for the test, it should also be set to a known
+ *  value by this function.
+ *
+ *  Input parameters:
+ *    argument - task argument
+ *
+ *  Output parameters:  NONE
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
  *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
  *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
  *
- * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
- * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
- * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
- * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
- * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
- * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
- * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
- * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
- * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
- * POSSIBILITY OF SUCH DAMAGE.
+ *  $Id$
  */
 
-#ifdef HAVE_CONFIG_H
-#include "config.h"
-#endif
-
-#define CONFIGURE_INIT
 #include "system.h"
-
-const char rtems_test_name[] = "SP 2";
+#undef EXTERN
+#define EXTERN
+#include "conftbl.h"
+#include "gvar.h"
 
 rtems_task Init(
@@ -41,19 +34,20 @@
 {
   rtems_status_code status;
-  rtems_id          preempt_task_id;
 
-  TEST_BEGIN();
+  puts( "\n\n*** TEST 2 ***" );
+
+  Preempt_task_name =  rtems_build_name( 'P', 'R', 'M', 'T' );
 
   status = rtems_task_create(
-    rtems_build_name( 'P', 'R', 'M', 'T' ),
-    1,
-    RTEMS_MINIMUM_STACK_SIZE,
-    RTEMS_DEFAULT_MODES,
-    RTEMS_DEFAULT_ATTRIBUTES,
-    &preempt_task_id
+     Preempt_task_name,
+     1,
+     2048,
+     RTEMS_DEFAULT_MODES,
+     RTEMS_DEFAULT_ATTRIBUTES,
+     &Preempt_task_id
   );
   directive_failed( status, "rtems_task_create of RTEMS_PREEMPT" );
 
-  status = rtems_task_start( preempt_task_id, Preempt_task, 0 );
+  status = rtems_task_start( Preempt_task_id, Preempt_task, 0 );
   directive_failed( status, "rtems_task_start of RTEMS_PREEMPT" );
 
@@ -69,5 +63,5 @@
      Task_name[ 1 ],
      3,
-     RTEMS_MINIMUM_STACK_SIZE,
+     2048,
      RTEMS_DEFAULT_MODES,
      RTEMS_DEFAULT_ATTRIBUTES,
@@ -79,5 +73,5 @@
      Task_name[ 2 ],
      3,
-     RTEMS_MINIMUM_STACK_SIZE,
+     2048,
      RTEMS_DEFAULT_MODES,
      RTEMS_DEFAULT_ATTRIBUTES,
@@ -89,5 +83,5 @@
      Task_name[ 3 ],
      3,
-     RTEMS_MINIMUM_STACK_SIZE,
+     2048,
      RTEMS_DEFAULT_MODES,
      RTEMS_DEFAULT_ATTRIBUTES,
@@ -119,42 +113,43 @@
 
   status = rtems_task_create(
-    Task_name[ 1 ],
-    1,
-    RTEMS_MINIMUM_STACK_SIZE,
-    RTEMS_DEFAULT_MODES,
-    RTEMS_DEFAULT_ATTRIBUTES,
-    &Task_id[ 1 ]
+     Task_name[ 1 ],
+     1,
+     2048,
+     RTEMS_DEFAULT_MODES,
+     RTEMS_DEFAULT_ATTRIBUTES,
+     &Task_id[ 1 ]
   );
   directive_failed( status, "rtems_task_create of TA1" );
+
+  status = rtems_task_create(
+     Task_name[ 2 ],
+     3,
+     2048,
+     RTEMS_DEFAULT_MODES,
+     RTEMS_DEFAULT_ATTRIBUTES,
+     &Task_id[ 2 ]
+  );
+  directive_failed( status, "rtems_task_create of TA2" );
+
+  status = rtems_task_create(
+     Task_name[ 3 ],
+     3,
+     2048,
+     RTEMS_DEFAULT_MODES,
+     RTEMS_DEFAULT_ATTRIBUTES,
+     &Task_id[ 3 ]
+  );
+  directive_failed( status, "rtems_task_create of TA3" );
 
   status = rtems_task_start( Task_id[ 1 ], Task_1, 0 );
   directive_failed( status, "rtems_task_start of TA1" );
 
-  status = rtems_task_create(
-    Task_name[ 2 ],
-    3,
-    RTEMS_MINIMUM_STACK_SIZE,
-    RTEMS_DEFAULT_MODES,
-    RTEMS_DEFAULT_ATTRIBUTES,
-    &Task_id[ 2 ]
-  );
-  directive_failed( status, "rtems_task_create of TA2" );
-
   status = rtems_task_start( Task_id[ 2 ], Task_2, 0 );
   directive_failed( status, "rtems_task_start of TA2" );
-
-  status = rtems_task_create(
-    Task_name[ 3 ],
-    3,
-    RTEMS_MINIMUM_STACK_SIZE,
-    RTEMS_DEFAULT_MODES,
-    RTEMS_DEFAULT_ATTRIBUTES,
-    &Task_id[ 3 ]
-  );
-  directive_failed( status, "rtems_task_create of TA3" );
 
   status = rtems_task_start( Task_id[ 3 ], Task_3, 0 );
   directive_failed( status, "rtems_task_start of TA3" );
 
-  rtems_task_exit();
+  status = rtems_task_delete( RTEMS_SELF );
+  directive_failed( status, "rtems_task_delete of RTEMS_SELF" );
 }
Index: testsuites/sptests/sp02/preempt.c
===================================================================
--- testsuites/sptests/sp02/preempt.c	(revision 17f744b8c81be98f68d53a82583c9a0b1c690579)
+++ testsuites/sptests/sp02/preempt.c	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -1,33 +1,21 @@
-/* SPDX-License-Identifier: BSD-2-Clause */
-
-/*
- *  COPYRIGHT (c) 1989-2011.
+/*  Preempt_task
+ *
+ *  This routine serves as a test task.  It verifies the task manager.
+ *
+ *  Input parameters:
+ *    argument - task argument
+ *
+ *  Output parameters:  NONE
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
  *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
  *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
  *
- * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
- * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
- * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
- * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
- * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
- * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
- * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
- * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
- * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
- * POSSIBILITY OF SUCH DAMAGE.
+ *  $Id$
  */
-
-#ifdef HAVE_CONFIG_H
-#include "config.h"
-#endif
 
 #include "system.h"
@@ -37,5 +25,8 @@
 )
 {
+  rtems_status_code status;
+
   puts( "PREEMPT - rtems_task_delete - deleting self" );
-  rtems_task_exit();
+  status = rtems_task_delete( RTEMS_SELF );
+  directive_failed( status, "rtems_task_delete of RTEMS_PREEMPT" );
 }
Index: testsuites/sptests/sp02/sp02.scn
===================================================================
--- testsuites/sptests/sp02/sp02.scn	(revision 17f744b8c81be98f68d53a82583c9a0b1c690579)
+++ testsuites/sptests/sp02/sp02.scn	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -1,15 +1,15 @@
 *** TEST 2 ***
 INIT - rtems_task_wake_after - yielding processor
-PREEMPT - rtems_task_exit
+PREEMPT - rtems_task_delete - deleting self
 INIT - suspending TA2 while middle task on a ready chain
 TA1 - rtems_task_wake_after - sleep 1 second
 TA2 - rtems_task_wake_after - sleep 1 minute
 TA3 - rtems_task_wake_after - sleep 5 seconds
-TA1 - rtems_task_ident - tid of TA2 (0x0a010004)
-TA1 - rtems_task_ident - tid of TA3 (0x0a010002)
+TA1 - rtems_task_ident - tid of TA2 (0x00010007)
+TA1 - rtems_task_ident - tid of TA3 (0x00010008)
 TA1 - rtems_task_set_priority - set TA3's priority to 2
 TA1 - rtems_task_suspend - suspend TA2
 TA1 - rtems_task_delete - delete TA2
 TA1 - rtems_task_wake_after - sleep for 5 seconds
-TA3 - rtems_task_exit
+TA3 - rtems_task_delete - delete self
 *** END OF TEST 2 ***
Index: testsuites/sptests/sp02/system.h
===================================================================
--- testsuites/sptests/sp02/system.h	(revision 17f744b8c81be98f68d53a82583c9a0b1c690579)
+++ testsuites/sptests/sp02/system.h	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -1,76 +1,31 @@
-/* SPDX-License-Identifier: BSD-2-Clause */
-
-/*
- *  COPYRIGHT (c) 1989-2011.
+/*  system.h
+ *
+ *  This include file contains information that is included in every
+ *  function in the test set.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
  *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
  *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
  *
- * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
- * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
- * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
- * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
- * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
- * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
- * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
- * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
- * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
- * POSSIBILITY OF SUCH DAMAGE.
+ *  $Id$
  */
 
-#include <tmacros.h>
+#include <rtems.h>
+#include "tmacros.h"
 
-/* functions */
+/* Miscellaneous */
 
-rtems_task Init(
-  rtems_task_argument argument
-);
+#define EXTERN  extern             /* external definition */
 
-rtems_task Preempt_task(
-  rtems_task_argument argument
-);
+/* macros */
 
-rtems_task Task_1(
-  rtems_task_argument argument
-);
 
-rtems_task Task_2(
-  rtems_task_argument argument
-);
+/* structures */
 
-rtems_task Task_3(
-  rtems_task_argument argument
-);
-
-/* configuration information */
-
-#define CONFIGURE_APPLICATION_NEEDS_SIMPLE_CONSOLE_DRIVER
-#define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
-
-#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
-
-#define CONFIGURE_RTEMS_INIT_TASKS_TABLE
-#define CONFIGURE_MAXIMUM_TASKS             4
-
-/*
- *  Deliberately configure the IDLE Task's stack as greater than minimum
- *  so it will have to be increased.
- */
-#define CONFIGURE_IDLE_TASK_STACK_SIZE (2 * RTEMS_MINIMUM_STACK_SIZE)
-
-#include <rtems/confdefs.h>
-
-/* global variables */
-
-TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
-TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
+#include "gvar.h"
 
 /* end of include file */
Index: testsuites/sptests/sp02/task1.c
===================================================================
--- testsuites/sptests/sp02/task1.c	(revision 17f744b8c81be98f68d53a82583c9a0b1c690579)
+++ testsuites/sptests/sp02/task1.c	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -1,33 +1,21 @@
-/* SPDX-License-Identifier: BSD-2-Clause */
-
-/*
- *  COPYRIGHT (c) 1989-2011.
+/*  Task_1
+ *
+ *  This routine serves as a test task.  It verifies the task manager.
+ *
+ *  Input parameters:
+ *    argument - task argument
+ *
+ *  Output parameters:  NONE
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
  *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
  *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
  *
- * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
- * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
- * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
- * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
- * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
- * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
- * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
- * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
- * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
- * POSSIBILITY OF SUCH DAMAGE.
+ *  $Id$
  */
-
-#ifdef HAVE_CONFIG_H
-#include "config.h"
-#endif
 
 #include "system.h"
@@ -40,9 +28,8 @@
   rtems_id          tid3;
   rtems_status_code status;
-  rtems_name        tid2_name;
-  uint32_t    previous_priority;
+  rtems_unsigned32  previous_priority;
 
   puts( "TA1 - rtems_task_wake_after - sleep 1 second" );
-  status = rtems_task_wake_after( rtems_clock_get_ticks_per_second() );
+  status = rtems_task_wake_after( 1*TICKS_PER_SECOND );
   directive_failed( status, "rtems_task_wake_after" );
 
@@ -50,19 +37,10 @@
   directive_failed( status, "rtems_task_ident of TA2" );
 
-  printf(
-    "TA1 - rtems_task_ident - tid of TA2 (0x%.8" PRIxrtems_id ")\n", tid2
-  );
-  status = rtems_object_get_classic_name( tid2, &tid2_name );
-  directive_failed( status, "rtems_object_get_classic_name of TA2" );
-
-  printf( "TA1 - rtems_get_classic_name - id -> name of TA2 %sOK\n",
-    (tid2_name != Task_name[2]) ? "NOT " : "" );
+  printf( "TA1 - rtems_task_ident - tid of TA2 (0x%.8x)\n", tid2 );
 
   status = rtems_task_ident( Task_name[ 3 ], RTEMS_SEARCH_ALL_NODES, &tid3 );
   directive_failed( status, "rtems_task_ident of TA3" );
 
-  printf(
-    "TA1 - rtems_task_ident - tid of TA3 (0x%.8" PRIxrtems_id ")\n", tid3
-  );
+  printf( "TA1 - rtems_task_ident - tid of TA3 (0x%.8x)\n", tid3 );
 
   status = rtems_task_set_priority( tid3, 2, &previous_priority );
@@ -70,4 +48,5 @@
 
   puts( "TA1 - rtems_task_set_priority - set TA3's priority to 2" );
+
 
   puts( "TA1 - rtems_task_suspend - suspend TA2" );
@@ -80,8 +59,8 @@
 
   puts( "TA1 - rtems_task_wake_after - sleep for 5 seconds" );
-  status = rtems_task_wake_after( 5 * rtems_clock_get_ticks_per_second() );
+  status = rtems_task_wake_after( 5*TICKS_PER_SECOND );
   directive_failed( status, "rtems_task_wake_after" );
 
-  TEST_END();
-  rtems_test_exit( 0 );
+  puts( "*** END OF TEST 2 ***" );
+  exit( 0 );
 }
Index: testsuites/sptests/sp02/task2.c
===================================================================
--- testsuites/sptests/sp02/task2.c	(revision 17f744b8c81be98f68d53a82583c9a0b1c690579)
+++ testsuites/sptests/sp02/task2.c	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -1,33 +1,23 @@
-/* SPDX-License-Identifier: BSD-2-Clause */
-
-/*
- *  COPYRIGHT (c) 1989-2011.
+/*  Task_2
+ *
+ *  This routine serves as a test task.  It sleeps for 1 minute but
+ *  does not expect to wake up.  Task 1 should suspend then delete it
+ *  so that it appears to never wake up.
+ *
+ *  Input parameters:
+ *    argument - task argument
+ *
+ *  Output parameters:  NONE
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
  *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
  *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
  *
- * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
- * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
- * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
- * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
- * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
- * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
- * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
- * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
- * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
- * POSSIBILITY OF SUCH DAMAGE.
+ *  $Id$
  */
-
-#ifdef HAVE_CONFIG_H
-#include "config.h"
-#endif
 
 #include "system.h"
@@ -40,5 +30,5 @@
 
   puts( "TA2 - rtems_task_wake_after - sleep 1 minute" );
-  status = rtems_task_wake_after( 60*rtems_clock_get_ticks_per_second() );
+  status = rtems_task_wake_after( 60*TICKS_PER_SECOND );
   directive_failed( status, "rtems_task_wake_after in TA2" );
 }
Index: testsuites/sptests/sp02/task3.c
===================================================================
--- testsuites/sptests/sp02/task3.c	(revision 17f744b8c81be98f68d53a82583c9a0b1c690579)
+++ testsuites/sptests/sp02/task3.c	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -1,33 +1,22 @@
-/* SPDX-License-Identifier: BSD-2-Clause */
-
-/*
- *  COPYRIGHT (c) 1989-2011.
+/*  Task_3
+ *
+ *  This routine serves as a test task.  It simply sleeps for 5 seconds
+ *  and then deletes itself.
+ *
+ *  Input parameters:
+ *    argument - task argument
+ *
+ *  Output parameters:  NONE
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
  *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
  *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
  *
- * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
- * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
- * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
- * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
- * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
- * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
- * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
- * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
- * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
- * POSSIBILITY OF SUCH DAMAGE.
+ *  $Id$
  */
-
-#ifdef HAVE_CONFIG_H
-#include "config.h"
-#endif
 
 #include "system.h"
@@ -40,8 +29,9 @@
 
   puts( "TA3 - rtems_task_wake_after - sleep 5 seconds" );
-  status = rtems_task_wake_after( 5*rtems_clock_get_ticks_per_second() );
+  status = rtems_task_wake_after( 5*TICKS_PER_SECOND );
   directive_failed( status, "rtems_task_wake_after in TA3" );
 
   puts( "TA3 - rtems_task_delete - delete self" );
-  rtems_task_exit();
+  status = rtems_task_delete( RTEMS_SELF );
+  directive_failed( status, "rtems_task_delete of TA3" );
 }
